{
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:loot_table",
          "value": "survivalplus:berry/cold",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 3,
                "max": 5
              }
            }
          ]
        }
      ],
      "functions": []
    },
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:loot_table",
          "value": "survivalplus:gameplay/crates/frozen"
        }
      ]
    },
    {
      "rolls": 1,
      "bonus_rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:barrel",
          "functions": [
            {
              "function": "minecraft:set_name",
              "name": "Frozen Crate",
              "target": "item_name"
            },
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:rarity": "uncommon",
                "minecraft:container_loot": {
                  "loot_table": "survivalplus:gameplay/crates/frozen"
                },
                "minecraft:tooltip_display": {
                  "hidden_components": [
                    "minecraft:container_loot"
                  ]
                },
                "minecraft:enchantment_glint_override": true
              }
            }
          ]
        }
      ]
    }
  ]
}